Subject: bug#32562: 26; `read-char(-exclusive)' and `characterp'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Sep 2018 20:07:27 +0300

> Date: Tue, 11 Sep 2018 08:30:56 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> I can't easily read them in the context of the surrounding material,
> but I read the diff, at least.

The context is given by the corresponding *.texi files.

> I see "character event" referred to but not explicitly defined, as
> such. The inline explanation is clear enough, I think. Why not
> treat the first occurrence of "character event" as a defined term
> (however that's done in texinfo, so that it ends up in Info quoted,
> as "character event"), and create an index entry for it (plus an
> entry "event, character")? (Perhaps you did that; I can't tell.)
> 
> I think this might be the right occurrence to treat as defining
> "character event":
> 
> +keys, and function keys.  Ordinary keys correspond to (possibly
> +modified) characters; the events they generate are represented in Lisp
> +as characters.  The event type of a character event is the character
>                                      ^^^^^^^^^^^^^^^
> +itself (an integer), which might have some modifier bits set; see

That's the definition you wanted, right there: it says that events can
represent characters, and then talks about "character events" thus
defined.